## fsudoku 0.1-1

=== src/Makefile ===
#############################################################################
# Makefile for building: fsudoku
# Generated by qmake (2.01a) (Qt 4.5.2) on: ma 22. maalis 20:38:20 2010
# Project:  src.pro
# Template: app
# Command: c:\qt\2009.03\qt\bin\qmake.exe -spec c:\Qt\2009.03\qt\mkspecs\win32-g++ -win32 -o Makefile src.pro
#############################################################################

first: debug
install: debug-install
uninstall: debug-uninstall
MAKEFILE      = Makefile
QMAKE         = c:\qt\2009.03\qt\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		debug \
		release

debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall
release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall

Makefile: src.pro  c:/Qt/2009.03/qt/mkspecs/win32-g++/qmake.conf c:/Qt/2009.03/qt/mkspecs/qconfig.pri \
		c:/Qt/2009.03/qt/mkspecs/features/qt_functions.prf \
		c:/Qt/2009.03/qt/mkspecs/features/qt_config.prf \
		c:/Qt/2009.03/qt/mkspecs/features/exclusive_builds.prf \
		c:/Qt/2009.03/qt/mkspecs/features/default_pre.prf \
		c:/Qt/2009.03/qt/mkspecs/features/win32/default_pre.prf \
		c:/Qt/2009.03/qt/mkspecs/features/debug.prf \
		c:/Qt/2009.03/qt/mkspecs/features/debug_and_release.prf \
		c:/Qt/2009.03/qt/mkspecs/features/default_post.prf \
		c:/Qt/2009.03/qt/mkspecs/features/win32/default_post.prf \
		c:/Qt/2009.03/qt/mkspecs/features/win32/rtti.prf \
		c:/Qt/2009.03/qt/mkspecs/features/win32/exceptions.prf \
		c:/Qt/2009.03/qt/mkspecs/features/win32/stl.prf \
		c:/Qt/2009.03/qt/mkspecs/features/shared.prf \
		c:/Qt/2009.03/qt/mkspecs/features/warn_on.prf \
		c:/Qt/2009.03/qt/mkspecs/features/qt.prf \
		c:/Qt/2009.03/qt/mkspecs/features/win32/thread.prf \
		c:/Qt/2009.03/qt/mkspecs/features/moc.prf \
		c:/Qt/2009.03/qt/mkspecs/features/win32/windows.prf \
		c:/Qt/2009.03/qt/mkspecs/features/resources.prf \
		c:/Qt/2009.03/qt/mkspecs/features/uic.prf \
		c:/Qt/2009.03/qt/mkspecs/features/yacc.prf \
		c:/Qt/2009.03/qt/mkspecs/features/lex.prf \
		c:/Qt/2009.03/qt/mkspecs/features/include_source_dir.prf \
		c:/Qt/2009.03/qt/lib/qtmaind.prl
	$(QMAKE) -spec c:\Qt\2009.03\qt\mkspecs\win32-g++ -win32 -o Makefile src.pro
c:\Qt\2009.03\qt\mkspecs\qconfig.pri:
c:\Qt\2009.03\qt\mkspecs\features\qt_functions.prf:
c:\Qt\2009.03\qt\mkspecs\features\qt_config.prf:
c:\Qt\2009.03\qt\mkspecs\features\exclusive_builds.prf:
c:\Qt\2009.03\qt\mkspecs\features\default_pre.prf:
c:\Qt\2009.03\qt\mkspecs\features\win32\default_pre.prf:
c:\Qt\2009.03\qt\mkspecs\features\debug.prf:
c:\Qt\2009.03\qt\mkspecs\features\debug_and_release.prf:
c:\Qt\2009.03\qt\mkspecs\features\default_post.prf:
c:\Qt\2009.03\qt\mkspecs\features\win32\default_post.prf:
c:\Qt\2009.03\qt\mkspecs\features\win32\rtti.prf:
c:\Qt\2009.03\qt\mkspecs\features\win32\exceptions.prf:
c:\Qt\2009.03\qt\mkspecs\features\win32\stl.prf:
c:\Qt\2009.03\qt\mkspecs\features\shared.prf:
c:\Qt\2009.03\qt\mkspecs\features\warn_on.prf:
c:\Qt\2009.03\qt\mkspecs\features\qt.prf:
c:\Qt\2009.03\qt\mkspecs\features\win32\thread.prf:
c:\Qt\2009.03\qt\mkspecs\features\moc.prf:
c:\Qt\2009.03\qt\mkspecs\features\win32\windows.prf:
c:\Qt\2009.03\qt\mkspecs\features\resources.prf:
c:\Qt\2009.03\qt\mkspecs\features\uic.prf:
c:\Qt\2009.03\qt\mkspecs\features\yacc.prf:
c:\Qt\2009.03\qt\mkspecs\features\lex.prf:
c:\Qt\2009.03\qt\mkspecs\features\include_source_dir.prf:
c:\Qt\2009.03\qt\lib\qtmaind.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -spec c:\Qt\2009.03\qt\mkspecs\win32-g++ -win32 -o Makefile src.pro

qmake_all: FORCE

make_default: debug-make_default release-make_default FORCE
make_first: debug-make_first release-make_first FORCE
all: debug-all release-all FORCE
clean: debug-clean release-clean FORCE
distclean: debug-distclean release-distclean FORCE
	-$(DEL_FILE) Makefile

debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
mocclean: debug-mocclean release-mocclean

debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
mocables: debug-mocables release-mocables
FORCE:

$(MAKEFILE).Debug: Makefile
$(MAKEFILE).Release: Makefile

=== debian/changelog ===
fsudoku (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Filip Glazar <filip.glazar@gmail.com>  Mon, 22 Mar 2010 19:02:20 +0100

=== debian/control ===
Source: fsudoku
Section: user/games
Priority: extra
Maintainer: Filip Glazar <filip.glazar@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libqt4-maemo5-gui, libqt4-maemo5-core
Standards-Version: 3.7.3
Homepage: www.figoviny.com

Package: fsudoku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sudoku game for Maemo.
 This aplication could be everything what you need to playing sudoku games.
 You can solve own games or generate with different levels of difficulty.
 Amount of games is unbounded. UI is completely hildonized. App is based on QT4.6 framework.
 If you have some suggestions, problems or you want to donate contact me, please.

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := fsudoku
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

        # Add here commands to install the package into debian/your_appname
 	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=my-application-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
